CREATE TABLE s3sync.file_info (
	ID IDENTITY NOT NULL AUTO_INCREMENT,
	FILE_NAME VARCHAR(1000) NOT NULL,
	FILE_PATH VARCHAR(1000) NOT NULL,
	FILE_HASH VARCHAR(40) NOT NULL,
	UPLOAD_DATE TIMESTAMP,
	UPLOADED BOOLEAN NOT NULL,
	CONSTRAINT FILE_INFO_PK PRIMARY KEY (ID),
	CONSTRAINT FILE_INFO_UN UNIQUE (FILE_HASH)
);
