package net.locusworks.s3sync.conf;

public enum TransferType {
  
  REMOTE,
  LOCAL;
  
  public static TransferType getEnum(String value) {
    for (TransferType s : values()) {
      if (s.name().toLowerCase().equals(value.toLowerCase().trim())) return s;
    }
    throw new RuntimeException("No transfer type of " + value);
  }
  
}
